> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daily.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Room SIP Call Transfer

> transfer sip/pstn call



## OpenAPI

````yaml POST /rooms/{room_name}/sipCallTransfer
openapi: 3.0.3
info:
  title: Daily API
  description: |-
    The Daily REST API offers the ability to manage the following: 
    - Overall Domain Configuration
    - Individual Room creation and config management 
    - Meeting token creation and validation
    - Recording and compositing management 
    - Meeting analytics
    - Logs and metrics
    - Real-time presence

    Please reach out to help@daily.co if we can help with anything
  version: 1.1.1
  contact:
    name: Daily
    url: https://docs.daily.co
    email: help@daily.co
servers:
  - url: https://api.daily.co/v1
security:
  - bearerAuth: []
paths:
  /rooms/{room_name}/sipCallTransfer:
    post:
      tags:
        - rooms
      summary: rooms/:name/sipCallTransfer
      description: transfer sip/pstn call
      operationId: RoomSipCallTransfer
      parameters:
        - name: room_name
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              description: ''
              type: object
              properties:
                sessionId:
                  type: string
                toEndPoint:
                  type: string
                  description: the SIP/phoneNumber endpoint to transfer the call to.
                callerId:
                  description: >-
                    determine the phone number used for outbound call (i.e.
                    phone number displayed on the called phone). [purchased
                    phone](/products/rest-api/phone-numbers/purchased-phone-numbers)
                  type: string
                waitBeforeExtensionDialSec:
                  description: >-
                    number of seconds to wait before dialing the extension, once
                    dialed number is connected.
                  type: integer
                  default: 0
                  minimum: 0
                  maximum: 60
                extension:
                  type: string
                  description: >-
                    the extension to dial after dialed number is connected. e.g.
                    `1234`
                  maxLength: 20
                  minLength: 1
                  example: '1234'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    ok: 'true'
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````